# Created by pyp2rpm-3.3.2
%global pypi_name pytest-xdist
%define pypi_url https://pypi.io/packages/source/%(n=%{pypi_name}; echo ${n::1})/%{pypi_name}

Name:           python-%{pypi_name}
Version:        2.1.0
Release:        %mkrel 1
Summary:        pytest xdist plugin for distributed testing and loop-on-failing modes
Group:          Development/Python
License:        MIT
URL:            https://github.com/pytest-dev/pytest-xdist
Source0:        %{pypi_url}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(execnet) >= 1.1
BuildRequires:  python3dist(pytest) >= 6.0.0
BuildRequires:  python3dist(pytest-forked)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(six)

%description
The pytest-xdist plugin extends pytest with some unique test execution modes:

- test run parallelization: if you have multiple CPUs or hosts you can use
  those for a combined test run. This allows to speed up development or to use
  special resources of remote machines.
- --looponfail: run your tests repeatedly in a subprocess. After each run
  pytest waits until a file in your project changes and then re-runs the
  previously failing tests. This is repeated until all tests pass after which
  again a full run is performed.
- Multi-Platform coverage: you can specify different Python interpreters or
  different platforms and run tests in parallel on all of them.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(execnet) >= 1.1
Requires:       python3dist(pytest) >= 3.6.0
Requires:       python3dist(pytest-forked)
Requires:       python3dist(setuptools)
Requires:       python3dist(six)

%description -n python3-%{pypi_name}
The pytest-xdist plugin extends pytest with some unique test execution modes:

- test run parallelization: if you have multiple CPUs or hosts you can use
  those for a combined test run. This allows to speed up development or to use
  special resources of remote machines.
- --looponfail: run your tests repeatedly in a subprocess. After each run
  pytest waits until a file in your project changes and then re-runs the
  previously failing tests. This is repeated until all tests pass after which
  again a full run is performed.
- Multi-Platform coverage: you can specify different Python interpreters or
  different platforms and run tests in parallel on all of them.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/xdist
%{python3_sitelib}/pytest_xdist-%{version}-py?.?.egg-info


%changelog
* Fri Oct 02 2020 kekepower <kekepower> 2.1.0-1.mga8
+ Revision: 1631885
- Update to version 2.1.0

* Fri Jun 12 2020 kekepower <kekepower> 1.32.0-1.mga8
+ Revision: 1592974
- Update to version 1.32.0

* Sun Feb 16 2020 umeabot <umeabot> 1.29.0-4.mga8
+ Revision: 1531589
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 tv <tv> 1.29.0-3.mga8
+ Revision: 1440568
- bump release so that we're newer than the core/release's build

* Fri Aug 30 2019 wally <wally> 1.29.0-2.mga8
+ Revision: 1435500
- drop python2 support
- update description

* Sat Jul 06 2019 kekepower <kekepower> 1.29.0-1.mga8
+ Revision: 1419142
- Update to version 1.29.0

* Fri Apr 19 2019 kekepower <kekepower> 1.28.0-1.mga7
+ Revision: 1393429
- Update to version 1.28.0

* Sun Apr 07 2019 kekepower <kekepower> 1.27.0-1.mga7
+ Revision: 1386569
- Update to version 1.27.0

* Fri Jan 11 2019 kekepower <kekepower> 1.25.0-1.mga7
+ Revision: 1354653
- imported package python-pytest-xdist

